signon 8.54

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions | Variables
main.cpp File Reference
`#include <signal.h>`
`#include <stdlib.h>`
`#include <stddef.h>`
`#include <errno.h>`
`#include <unistd.h>`
`#include <fcntl.h>`
`#include <sys/poll.h>`
`#include <syslog.h>`
`#include "debug.h"`
`#include "remotepluginprocess.h"`
`#include <QDebug>`
Include dependency graph for main.cpp:

Go to the source code of this file.

## Macros
#define | QT_DISABLE_DEPRECATED_BEFORE QT_VERSION_CHECK(4, 0, 0)

## Functions
void | messageHandler (QtMsgType type, const char *msg)
int | main (int argc, char *argv[])

## Variables
RemotePluginProcess * | process = NULL

## Macro Definition Documentation

#define QT_DISABLE_DEPRECATED_BEFORE QT_VERSION_CHECK(4, 0, 0)

Definition at line 34 of file main.cpp.

## Function Documentation

int main | ( | int | argc,
|  | char * | argv[]
| ) |  |

Definition at line 65 of file main.cpp.

References BLAME, RemotePluginProcessNS::RemotePluginProcess::createRemotePluginProcess(), debugInit(), messageHandler(), process, and TRACE.

void messageHandler | ( | QtMsgType | type,
|  | const char * | msg
| ) |  |

Definition at line 45 of file main.cpp.

References debugLevel.

Referenced by main().

## Variable Documentation

RemotePluginProcess* process = NULL

Definition at line 43 of file main.cpp.

Referenced by main().